[VDS] Бинарники PHP

Сборник различный версий PHP для разных ядер

После приобретения VDS на 24serv или при попытке запустить сервер Minecraft PE/BE на локальной Linux машине (а также в различных приложениях для Android) новички часто не понимают, что такое “бинарники”, почему их сервер не запускается и где это чудо достать.

Что такое “бинарники” PHP?

Бинарники PHP (PHP prebuilt binaries) - это собранный интерпретатор языка программирования PHP вместе со всеми библиотеками, небоходимыми для работы сервера на PMMP и его форках (наследниках).

Зачем нужны разные версии бинарников?

В процессе разработки PMMP использовал разную версию языка программирования PHP. Время идёт, PMMP и PHP развиваются и периодически ядро переписывают (либо просто корректируют) для работы на новых версиях PHP.

Где достать нужную версию бинарников?

Если Вы планируете делать сервер на последней версии игры, то для Вас это не будет проблемой - последнюю сборку PHP всегда можно найти на сайте PMMP, а конкретно на странице с инструкцией по установке ядра. На данный момент это 7.4.

Если же Вы решили делать сервер на версии игры 1.1.5 - Вам могут понадобиться более старые версии бинарников, а именно:

Minecraft PE 1.1.5

Minecraft BE 1.14.60

Minecraft BE 1.16 и выше

А если я не на VDS, а на хостинге?

На хостинге 24serv бинарник устанавливается автоматически при выборе ядра из списка в настройках сервера.
Для того, чтобы на хостинге установить, например, бинарник 7.0 необходимо выбрать ядро GenisysPro, а затем заменить это ядро на своё в FTP сервера (соответственно для бинарников 7.3 и 7.4 необходимо выбрать последнюю или одну из последних версий ядра PMMP).

Что за файл *.tar.gz и как его распаковать?

Это расово верный для Linux формат архивов, распаковать его можно любым продвинутым архиватором либо утилитой tar:

  • Установка TAR
apt-get install tar
  • Распаковка в текущую директорию
tar -xvf filename.tar.gz

Замечания

  • Все выложенные бинарники собраны для архитектуры x86_64 (amd64) и не будут работать на Linux 32bit и уж тем более на Windows.
  • Выложенные бинарники не проверялись на работоспособность, брались из открытых источников и если у Вас что-то с ними пойдет не так - пишите об этом под постом.
  • На вопросы касательно приложения PocketMine-MP на Android и подобных я отвечать не буду - вам дорога сюда.
10 симпатий

@Fupep вот до чего ты меня довел

2 симпатии

Лайткор 1.0.5 уже принимает бинарник версии 7.0.4 и Частично 8.0.3 вроде
@ddosenka Я прав?

1 симпатия

Yea, так и есть

поменяю

Уже появился 8.0 го скину?

и нахуя

Кстати а PM 4 на каком бине?

7.4 или 8.0 со специальными библиотеками, от 3 не пойдет

Thx :slight_smile:

Посоветуй какой линукс ставить Ubuntu 18.04 или Ubuntu 20.04 или Debian 8

Для тебя Ubuntu 16.04